japa.parser.ast.expr

## Class MarkerAnnotationExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.AnnotationExpr
      - - japa.parser.ast.expr.MarkerAnnotationExpr

    public final class MarkerAnnotationExpr
    extends AnnotationExpr

### Field Summary

### Fields inherited from class japa.parser.ast.expr.AnnotationExpr

`name`

### Constructor Summary

Constructors
Constructor and Description
`MarkerAnnotationExpr()`
`MarkerAnnotationExpr(int beginLine, int beginColumn, int endLine, int endColumn, NameExpr name)`
`MarkerAnnotationExpr(NameExpr name)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.

### Methods inherited from class japa.parser.ast.expr.AnnotationExpr

`getName, setName`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarkerAnnotationExpr

    public MarkerAnnotationExpr()

#### MarkerAnnotationExpr

    public MarkerAnnotationExpr(NameExpr name)

#### MarkerAnnotationExpr

    public MarkerAnnotationExpr(int beginLine,
                        int beginColumn,
                        int endLine,
                        int endColumn,
                        NameExpr name)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor